

library(PMCMR)
collected_values = read.table("data/hr_wide.txt", header=T)

r1 <- collected_values$robot1
r3 <- collected_values$robot3
r24 <- collected_values$robot24

# Compute the Mean Rank Sum
data <- c(r1, r3, r24)
mat <- matrix(data, nrow = 23, ncol = 3, byrow = FALSE)
for (i in 1:length(mat[, 1])) mat[i, ] <- rank(mat[i, ])
R.mnsum <- colMeans(mat)

# Print the Mean Rank Sum --- used to draw the critical diagram
print("############### Mean Rank Sum ###############")
cat("r1: ", R.mnsum[1], "\n")
cat ("r3: ", R.mnsum[2], "\n") # r3
cat ("r24: ", R.mnsum[3], "\n") # r24

y <- matrix(data,nrow=23, ncol=3,dimnames=list(1:23,c("1-robot","3-robot","24-robot")))
print("############### FRIEDMAN ###############")
print(friedman.test(y))

print("############### NEMENYI ###############")
nemenyi_ph <- posthoc.friedman.nemenyi.test(y,method = "bonfer1oni")
print(nemenyi_ph)
